lwIP 2.1.2 Lightweight IP stack

Functions | Variables
ip.c File Reference
`#include "lwip/opt.h"`
`#include "lwip/ip_addr.h"`
`#include "lwip/ip.h"`

## Functions
char * | ipaddr_ntoa (const ip_addr_t *addr)
char * | ipaddr_ntoa_r (const ip_addr_t *addr, char *buf, int buflen)
int | ipaddr_aton (const char *cp, ip_addr_t *addr)
err_t | ip_input (struct pbuf *p, struct netif *inp)

## Variables
struct ip_globals | ip_data

## Detailed Description

Common IPv4 and IPv6 code

## Variable Documentation

## ◆ ip_data

struct ip_globals ip_data

Global data for both IPv4 and IPv6